[{"data":1,"prerenderedAt":1387},["ShallowReactive",2],{"navigation":3,"reference:keys":45},{"title":4,"links":5},"API reference",[6,9,12,15,18,21,24,27,30,33,36,39,42],{"title":7,"href":8},"Accounts","\u002Freference\u002Faccounts",{"title":10,"href":11},"Connect","\u002Freference\u002Fconnect",{"title":13,"href":14},"Calendars","\u002Freference\u002Fcalendars",{"title":16,"href":17},"Events","\u002Freference\u002Fevents",{"title":19,"href":20},"Availability","\u002Freference\u002Favailability",{"title":22,"href":23},"Meetings","\u002Freference\u002Fmeetings",{"title":25,"href":26},"Invitations","\u002Freference\u002Finvitations",{"title":28,"href":29},"Webhooks","\u002Freference\u002Fwebhooks",{"title":31,"href":32},"Metadata","\u002Freference\u002Fmetadata",{"title":34,"href":35},"Keys","\u002Freference\u002Fkeys",{"title":37,"href":38},"Sandbox","\u002Freference\u002Fsandbox",{"title":40,"href":41},"Usage","\u002Freference\u002Fusage",{"title":43,"href":44},"Logs","\u002Freference\u002Flogs",{"kind":46,"title":47,"name":34,"description":48,"sections":49,"tries":61,"body":92},"generated","Keys API","List API keys, and rotate a key with a grace period during which both the old and new keys work.",[50,54,57],{"id":51,"title":52,"tag":53},"keys-list","List API keys","GET",{"id":55,"title":56,"tag":53},"keys-get","Get an API key",{"id":58,"title":59,"tag":60},"keys-rotate","Rotate an API key","POST",{"keys.list":62,"keys.get":67,"keys.rotate":78},{"operationId":63,"method":53,"path":64,"summary":52,"fields":65,"body":66,"unavailable":66},"keys.list","\u002Fv2\u002Fkeys",[],null,{"operationId":68,"method":53,"path":69,"summary":56,"fields":70,"body":66,"unavailable":66},"keys.get","\u002Fv2\u002Fkeys\u002F{keyId}",[71],{"name":72,"in":73,"type":74,"required":75,"raw":76,"sample":76,"options":77},"keyId","path","string",true,"current",[],{"operationId":79,"method":60,"path":80,"summary":59,"fields":81,"body":90,"unavailable":66},"keys.rotate","\u002Fv2\u002Fkeys\u002F{keyId}\u002Frotate",[82,84],{"name":72,"in":73,"type":74,"required":75,"raw":76,"sample":76,"options":83},[],{"name":85,"in":86,"type":74,"required":87,"raw":88,"sample":88,"options":89},"Idempotency-Key","header",false,"",[],{"raw":91,"sample":91},"{\n  \"graceHours\": 24\n}",{"type":93,"value":94},"minimark",[95,99,105,121,124,129,366,368,372,741,743,747,1384],[96,97,34],"h1",{"id":98},"keys",[100,101,102],"lead",{},[103,104,48],"p",{},[106,107,108],"note",{},[103,109,110,111,115,116,120],{},"The examples use IDs from a sample sandbox. Your sandbox has the same people, calendars and events with its own IDs, which ",[112,113,114],"code",{},"GET \u002Fv2\u002Fsandbox"," returns. When you're signed in to the dashboard, ",[117,118,119],"strong",{},"Try it"," fills in your IDs and sends the request to your sandbox, never to live data.",[122,123],"hr",{},[125,126,127],"section-heading",{"id":51,"label":64,"tag":53},[103,128,52],{},[130,131,132,205],"row",{},[133,134,135,138,141,146],"column",{},[103,136,137],{},"Returns the app's keys, with their status and, for a rotated key, when it stops working. A live key lists live keys, and a test key lists test keys. Key values are never returned.",[139,140],"try-it",{"operation":63},[142,143,145],"h3",{"id":144},"errors","Errors",[147,148,149,160,169,178,187,196],"ul",{},[150,151,152,159],"li",{},[153,154,156],"a",{"href":155},"\u002Ferrors\u002FAUTH_INVALID_KEY",[112,157,158],{},"AUTH_INVALID_KEY"," (401): The API key is missing, unknown or revoked.",[150,161,162,168],{},[153,163,165],{"href":164},"\u002Ferrors\u002FAUTH_EXPIRED_KEY",[112,166,167],{},"AUTH_EXPIRED_KEY"," (401): The API key has expired.",[150,170,171,177],{},[153,172,174],{"href":173},"\u002Ferrors\u002FAUTH_INSUFFICIENT_SCOPE",[112,175,176],{},"AUTH_INSUFFICIENT_SCOPE"," (403): The API key or session does not have permission to make this request.",[150,179,180,186],{},[153,181,183],{"href":182},"\u002Ferrors\u002FRATE_LIMIT_EXCEEDED",[112,184,185],{},"RATE_LIMIT_EXCEEDED"," (429): The request rate exceeds this plan's rate limit.",[150,188,189,195],{},[153,190,192],{"href":191},"\u002Ferrors\u002FRATE_LIMIT_BURST",[112,193,194],{},"RATE_LIMIT_BURST"," (429): Too many requests were sent in a short period.",[150,197,198,204],{},[153,199,201],{"href":200},"\u002Ferrors\u002FINTERNAL_ERROR",[112,202,203],{},"INTERNAL_ERROR"," (500): Something went wrong on our end.",[133,206,208,284],{":sticky":207},"true",[209,210,212,246],"code-group",{"label":64,"title":211,"tag":53},"Request",[213,214,219],"pre",{"className":215,"code":216,"filename":217,"language":218,"meta":88,"style":88},"language-bash shiki css-variables","curl 'https:\u002F\u002Fapi.pyas.io\u002Fv2\u002Fkeys' \\\n  -H \"x-api-key: $PYAS_API_KEY\"\n","cURL","bash",[112,220,221,237],{"__ignoreMap":88},[222,223,225,229,233],"span",{"class":224},"line",[222,226,228],{"style":227},"color:var(--shiki-token-function)","curl",[222,230,232],{"style":231},"color:var(--shiki-token-string-expression)"," 'https:\u002F\u002Fapi.pyas.io\u002Fv2\u002Fkeys'",[222,234,236],{"style":235},"color:var(--shiki-foreground)"," \\",[222,238,239,243],{"class":224},[222,240,242],{"style":241},"color:var(--shiki-token-string)","  -H",[222,244,245],{"style":231}," \"x-api-key: $PYAS_API_KEY\"",[213,247,252],{"className":248,"code":249,"filename":250,"language":251,"meta":88,"style":88},"language-js shiki css-variables","const result = await pyas.keys.list()\n","Node.js","js",[112,253,254],{"__ignoreMap":88},[222,255,256,260,264,267,270,273,276,278,281],{"class":224},[222,257,259],{"style":258},"color:var(--shiki-token-keyword)","const",[222,261,263],{"style":262},"color:var(--shiki-token-constant)"," result",[222,265,266],{"style":258}," =",[222,268,269],{"style":258}," await",[222,271,272],{"style":262}," pyas",[222,274,275],{"style":227},".",[222,277,98],{"style":262},[222,279,280],{"style":227},".list",[222,282,283],{"style":235},"()",[209,285,288],{"label":286,"title":287},"200 OK","Response",[213,289,293],{"className":290,"code":291,"language":292,"meta":88,"style":88},"language-json shiki css-variables","{\n  \"success\": true,\n  \"data\": [],\n  \"provider\": null,\n  \"traceId\": \"trc_5f2a9c1e7b3d4a6f8e0c2b1d\",\n  \"meta\": {}\n}\n","json",[112,294,295,300,315,327,339,351,361],{"__ignoreMap":88},[222,296,297],{"class":224},[222,298,299],{"style":235},"{",[222,301,302,305,309,312],{"class":224},[222,303,304],{"style":258},"  \"success\"",[222,306,308],{"style":307},"color:var(--shiki-token-punctuation)",":",[222,310,311],{"style":262}," true",[222,313,314],{"style":307},",",[222,316,317,320,322,325],{"class":224},[222,318,319],{"style":258},"  \"data\"",[222,321,308],{"style":307},[222,323,324],{"style":235}," []",[222,326,314],{"style":307},[222,328,329,332,334,337],{"class":224},[222,330,331],{"style":258},"  \"provider\"",[222,333,308],{"style":307},[222,335,336],{"style":262}," null",[222,338,314],{"style":307},[222,340,341,344,346,349],{"class":224},[222,342,343],{"style":258},"  \"traceId\"",[222,345,308],{"style":307},[222,347,348],{"style":231}," \"trc_5f2a9c1e7b3d4a6f8e0c2b1d\"",[222,350,314],{"style":307},[222,352,353,356,358],{"class":224},[222,354,355],{"style":258},"  \"meta\"",[222,357,308],{"style":307},[222,359,360],{"style":235}," {}",[222,362,363],{"class":224},[222,364,365],{"style":235},"}",[122,367],{},[125,369,370],{"id":55,"label":69,"tag":53},[103,371,56],{},[130,373,374,453],{},[133,375,376,385,387,391,403,406],{},[103,377,378,381,382,384],{},[117,379,380],{},"In the sandbox:"," ",[112,383,76],{}," is the key that sent the request. The API reference sends requests with a key created for the docs, which isn't one of your app's keys. With your own test key, this request returns that key.",[139,386],{"operation":68},[142,388,390],{"id":389},"path-parameters","Path parameters",[392,393,394],"properties",{},[395,396,397],"property",{"name":72,"type":74,":required":207},[103,398,399,400,402],{},"The key's ID, or ",[112,401,76],{}," for the key that sent the request.",[142,404,145],{"id":405},"errors-1",[147,407,408,414,420,426,435,441,447],{},[150,409,410,159],{},[153,411,412],{"href":155},[112,413,158],{},[150,415,416,168],{},[153,417,418],{"href":164},[112,419,167],{},[150,421,422,177],{},[153,423,424],{"href":173},[112,425,176],{},[150,427,428,434],{},[153,429,431],{"href":430},"\u002Ferrors\u002FRESOURCE_NOT_FOUND",[112,432,433],{},"RESOURCE_NOT_FOUND"," (404): The calendar or event was not found.",[150,436,437,186],{},[153,438,439],{"href":182},[112,440,185],{},[150,442,443,195],{},[153,444,445],{"href":191},[112,446,194],{},[150,448,449,204],{},[153,450,451],{"href":200},[112,452,203],{},[133,454,455,519],{":sticky":207},[209,456,457,477],{"label":69,"title":211,"tag":53},[213,458,460],{"className":215,"code":459,"filename":217,"language":218,"meta":88,"style":88},"curl 'https:\u002F\u002Fapi.pyas.io\u002Fv2\u002Fkeys\u002Fcurrent' \\\n  -H \"x-api-key: $PYAS_API_KEY\"\n",[112,461,462,471],{"__ignoreMap":88},[222,463,464,466,469],{"class":224},[222,465,228],{"style":227},[222,467,468],{"style":231}," 'https:\u002F\u002Fapi.pyas.io\u002Fv2\u002Fkeys\u002Fcurrent'",[222,470,236],{"style":235},[222,472,473,475],{"class":224},[222,474,242],{"style":241},[222,476,245],{"style":231},[213,478,480],{"className":248,"code":479,"filename":250,"language":251,"meta":88,"style":88},"const result = await pyas.keys.get({\n  \"keyId\": \"current\"\n})\n",[112,481,482,504,514],{"__ignoreMap":88},[222,483,484,486,488,490,492,494,496,498,501],{"class":224},[222,485,259],{"style":258},[222,487,263],{"style":262},[222,489,266],{"style":258},[222,491,269],{"style":258},[222,493,272],{"style":262},[222,495,275],{"style":227},[222,497,98],{"style":262},[222,499,500],{"style":227},".get",[222,502,503],{"style":235},"({",[222,505,506,509,511],{"class":224},[222,507,508],{"style":231},"  \"keyId\"",[222,510,308],{"style":258},[222,512,513],{"style":231}," \"current\"",[222,515,516],{"class":224},[222,517,518],{"style":235},"})",[209,520,521],{"label":286,"title":287},[213,522,524],{"className":290,"code":523,"language":292,"meta":88,"style":88},"{\n  \"success\": true,\n  \"data\": {\n    \"keyId\": \"3f7c2a91-5d4e-4b8a-9c6f-2e1d0b7a8c53\",\n    \"name\": \"Production\",\n    \"mode\": \"live\",\n    \"scopes\": [\n      \"read\",\n      \"write\"\n    ],\n    \"status\": \"active\",\n    \"last4\": null,\n    \"expiresAt\": null,\n    \"graceEndsAt\": null,\n    \"rotatedFrom\": null,\n    \"rotatedTo\": null,\n    \"createdAt\": \"2026-11-14T20:00:31Z\",\n    \"seenInBrowser\": null\n  },\n  \"provider\": null,\n  \"traceId\": \"trc_5f2a9c1e7b3d4a6f8e0c2b1d\",\n  \"meta\": {}\n}\n",[112,525,526,530,540,549,561,573,585,595,602,607,614,626,637,648,659,670,681,693,702,709,719,729,737],{"__ignoreMap":88},[222,527,528],{"class":224},[222,529,299],{"style":235},[222,531,532,534,536,538],{"class":224},[222,533,304],{"style":258},[222,535,308],{"style":307},[222,537,311],{"style":262},[222,539,314],{"style":307},[222,541,542,544,546],{"class":224},[222,543,319],{"style":258},[222,545,308],{"style":307},[222,547,548],{"style":235}," {",[222,550,551,554,556,559],{"class":224},[222,552,553],{"style":258},"    \"keyId\"",[222,555,308],{"style":307},[222,557,558],{"style":231}," \"3f7c2a91-5d4e-4b8a-9c6f-2e1d0b7a8c53\"",[222,560,314],{"style":307},[222,562,563,566,568,571],{"class":224},[222,564,565],{"style":258},"    \"name\"",[222,567,308],{"style":307},[222,569,570],{"style":231}," \"Production\"",[222,572,314],{"style":307},[222,574,575,578,580,583],{"class":224},[222,576,577],{"style":258},"    \"mode\"",[222,579,308],{"style":307},[222,581,582],{"style":231}," \"live\"",[222,584,314],{"style":307},[222,586,587,590,592],{"class":224},[222,588,589],{"style":258},"    \"scopes\"",[222,591,308],{"style":307},[222,593,594],{"style":235}," [",[222,596,597,600],{"class":224},[222,598,599],{"style":231},"      \"read\"",[222,601,314],{"style":307},[222,603,604],{"class":224},[222,605,606],{"style":231},"      \"write\"",[222,608,609,612],{"class":224},[222,610,611],{"style":235},"    ]",[222,613,314],{"style":307},[222,615,616,619,621,624],{"class":224},[222,617,618],{"style":258},"    \"status\"",[222,620,308],{"style":307},[222,622,623],{"style":231}," \"active\"",[222,625,314],{"style":307},[222,627,628,631,633,635],{"class":224},[222,629,630],{"style":258},"    \"last4\"",[222,632,308],{"style":307},[222,634,336],{"style":262},[222,636,314],{"style":307},[222,638,639,642,644,646],{"class":224},[222,640,641],{"style":258},"    \"expiresAt\"",[222,643,308],{"style":307},[222,645,336],{"style":262},[222,647,314],{"style":307},[222,649,650,653,655,657],{"class":224},[222,651,652],{"style":258},"    \"graceEndsAt\"",[222,654,308],{"style":307},[222,656,336],{"style":262},[222,658,314],{"style":307},[222,660,661,664,666,668],{"class":224},[222,662,663],{"style":258},"    \"rotatedFrom\"",[222,665,308],{"style":307},[222,667,336],{"style":262},[222,669,314],{"style":307},[222,671,672,675,677,679],{"class":224},[222,673,674],{"style":258},"    \"rotatedTo\"",[222,676,308],{"style":307},[222,678,336],{"style":262},[222,680,314],{"style":307},[222,682,683,686,688,691],{"class":224},[222,684,685],{"style":258},"    \"createdAt\"",[222,687,308],{"style":307},[222,689,690],{"style":231}," \"2026-11-14T20:00:31Z\"",[222,692,314],{"style":307},[222,694,695,698,700],{"class":224},[222,696,697],{"style":258},"    \"seenInBrowser\"",[222,699,308],{"style":307},[222,701,336],{"style":262},[222,703,704,707],{"class":224},[222,705,706],{"style":235},"  }",[222,708,314],{"style":307},[222,710,711,713,715,717],{"class":224},[222,712,331],{"style":258},[222,714,308],{"style":307},[222,716,336],{"style":262},[222,718,314],{"style":307},[222,720,721,723,725,727],{"class":224},[222,722,343],{"style":258},[222,724,308],{"style":307},[222,726,348],{"style":231},[222,728,314],{"style":307},[222,730,731,733,735],{"class":224},[222,732,355],{"style":258},[222,734,308],{"style":307},[222,736,360],{"style":235},[222,738,739],{"class":224},[222,740,365],{"style":235},[122,742],{},[125,744,745],{"id":58,"label":80,"tag":60},[103,746,59],{},[130,748,749,882],{},[133,750,751,765,770,772,775,783,787,794,798,817,820],{},[103,752,753,754,756,757,760,761,764],{},"Creates a new key with the same name, scopes and mode, and returns its value once in this response. A key can rotate only itself, so send this request with the key that you want to rotate, and use ",[112,755,76],{}," as the key ID. To rotate a different key, use the dashboard. The old key gets a grace period during which both keys work (default 24 hours, at most 168), so you can deploy the new key without any failed requests. When the grace period ends, the old key stops working. Pyas sends an ",[112,758,759],{},"api_key.expiring"," webhook 1 hour before the grace period ends, and an ",[112,762,763],{},"api_key.revoked"," webhook when it ends. A key can be rotated only once.",[103,766,767,769],{},[117,768,380],{}," Rotates the key that sent the request. The API reference sends requests with a key created for the docs, which can't be rotated. With your own key, the response includes the new key (returned only once), and the old key keeps working for 24 more hours.",[139,771],{"operation":79},[142,773,390],{"id":774},"path-parameters-1",[392,776,777],{},[395,778,779],{"name":72,"type":74,":required":207},[103,780,399,781,402],{},[112,782,76],{},[142,784,786],{"id":785},"headers","Headers",[392,788,789],{},[395,790,791],{"name":85,"type":74},[103,792,793],{},"A unique key that makes the request safe to retry. A retry with the same key returns the original response and does not make the change twice. Keys are kept for 24 hours.",[142,795,797],{"id":796},"body","Body",[392,799,800,811],{},[395,801,804],{"name":802,"type":803},"graceHours","integer",[103,805,806,807,810],{},"The number of hours that the old key keeps working. ",[112,808,809],{},"0"," stops the old key immediately. From 0 to 168.",[395,812,814],{"name":813,"type":803},"expiresInDays",[103,815,816],{},"The number of days until the new key expires. Defaults to the old key's lifetime, or no expiration if the old key never expired. From 1 to 3650.",[142,818,145],{"id":819},"errors-2",[147,821,822,831,837,843,849,855,864,870,876],{},[150,823,824,830],{},[153,825,827],{"href":826},"\u002Ferrors\u002FVALIDATION_INVALID_BODY",[112,828,829],{},"VALIDATION_INVALID_BODY"," (400): The request body is not valid.",[150,832,833,159],{},[153,834,835],{"href":155},[112,836,158],{},[150,838,839,168],{},[153,840,841],{"href":164},[112,842,167],{},[150,844,845,177],{},[153,846,847],{"href":173},[112,848,176],{},[150,850,851,434],{},[153,852,853],{"href":430},[112,854,433],{},[150,856,857,863],{},[153,858,860],{"href":859},"\u002Ferrors\u002FRESOURCE_CONFLICT",[112,861,862],{},"RESOURCE_CONFLICT"," (409): The resource was modified or already exists.",[150,865,866,186],{},[153,867,868],{"href":182},[112,869,185],{},[150,871,872,195],{},[153,873,874],{"href":191},[112,875,194],{},[150,877,878,204],{},[153,879,880],{"href":200},[112,881,203],{},[133,883,884,991],{":sticky":207},[209,885,886,941],{"label":80,"title":211,"tag":60},[213,887,889],{"className":215,"code":888,"filename":217,"language":218,"meta":88,"style":88},"curl -X POST 'https:\u002F\u002Fapi.pyas.io\u002Fv2\u002Fkeys\u002Fcurrent\u002Frotate' \\\n  -H \"x-api-key: $PYAS_API_KEY\" \\\n  -H \"content-type: application\u002Fjson\" \\\n  -d '{\n  \"graceHours\": 24\n}'\n",[112,890,891,906,914,923,931,936],{"__ignoreMap":88},[222,892,893,895,898,901,904],{"class":224},[222,894,228],{"style":227},[222,896,897],{"style":241}," -X",[222,899,900],{"style":241}," POST",[222,902,903],{"style":231}," 'https:\u002F\u002Fapi.pyas.io\u002Fv2\u002Fkeys\u002Fcurrent\u002Frotate'",[222,905,236],{"style":235},[222,907,908,910,912],{"class":224},[222,909,242],{"style":241},[222,911,245],{"style":231},[222,913,236],{"style":235},[222,915,916,918,921],{"class":224},[222,917,242],{"style":241},[222,919,920],{"style":231}," \"content-type: application\u002Fjson\"",[222,922,236],{"style":235},[222,924,925,928],{"class":224},[222,926,927],{"style":241},"  -d",[222,929,930],{"style":231}," '{",[222,932,933],{"class":224},[222,934,935],{"style":231},"  \"graceHours\": 24",[222,937,938],{"class":224},[222,939,940],{"style":231},"}'",[213,942,944],{"className":248,"code":943,"filename":250,"language":251,"meta":88,"style":88},"const result = await pyas.keys.rotate({\n  \"keyId\": \"current\",\n  \"graceHours\": 24\n})\n",[112,945,946,967,977,987],{"__ignoreMap":88},[222,947,948,950,952,954,956,958,960,962,965],{"class":224},[222,949,259],{"style":258},[222,951,263],{"style":262},[222,953,266],{"style":258},[222,955,269],{"style":258},[222,957,272],{"style":262},[222,959,275],{"style":227},[222,961,98],{"style":262},[222,963,964],{"style":227},".rotate",[222,966,503],{"style":235},[222,968,969,971,973,975],{"class":224},[222,970,508],{"style":231},[222,972,308],{"style":258},[222,974,513],{"style":231},[222,976,314],{"style":307},[222,978,979,982,984],{"class":224},[222,980,981],{"style":231},"  \"graceHours\"",[222,983,308],{"style":258},[222,985,986],{"style":262}," 24",[222,988,989],{"class":224},[222,990,518],{"style":235},[209,992,994],{"label":993,"title":287},"201 Created",[213,995,997],{"className":290,"code":996,"language":292,"meta":88,"style":88},"{\n  \"success\": true,\n  \"data\": {\n    \"key\": \"pyas_sk_live_example\",\n    \"newKey\": {\n      \"keyId\": \"2f660cba-c95f-4314-9466-b494c83efdae\",\n      \"name\": \"Production\",\n      \"mode\": \"live\",\n      \"scopes\": [\n        \"read\",\n        \"write\"\n      ],\n      \"status\": \"active\",\n      \"last4\": \"NzNh\",\n      \"expiresAt\": null,\n      \"graceEndsAt\": null,\n      \"rotatedFrom\": \"3f7c2a91-5d4e-4b8a-9c6f-2e1d0b7a8c53\",\n      \"rotatedTo\": null,\n      \"createdAt\": \"2026-11-14T20:00:32Z\",\n      \"seenInBrowser\": null\n    },\n    \"previousKey\": {\n      \"keyId\": \"3f7c2a91-5d4e-4b8a-9c6f-2e1d0b7a8c53\",\n      \"name\": \"Production\",\n      \"mode\": \"live\",\n      \"scopes\": [\n        \"read\",\n        \"write\"\n      ],\n      \"status\": \"rotating\",\n      \"last4\": null,\n      \"expiresAt\": \"2026-11-15T20:00:32Z\",\n      \"graceEndsAt\": \"2026-11-15T20:00:32Z\",\n      \"rotatedFrom\": null,\n      \"rotatedTo\": \"2f660cba-c95f-4314-9466-b494c83efdae\",\n      \"createdAt\": \"2026-11-14T20:00:31Z\",\n      \"seenInBrowser\": null\n    }\n  },\n  \"provider\": null,\n  \"traceId\": \"trc_5f2a9c1e7b3d4a6f8e0c2b1d\",\n  \"meta\": {}\n}\n",[112,998,999,1003,1013,1021,1033,1042,1054,1065,1076,1085,1092,1097,1104,1115,1127,1138,1149,1160,1171,1183,1192,1199,1208,1218,1228,1238,1246,1252,1256,1262,1273,1283,1294,1304,1314,1324,1334,1342,1346,1352,1362,1372,1380],{"__ignoreMap":88},[222,1000,1001],{"class":224},[222,1002,299],{"style":235},[222,1004,1005,1007,1009,1011],{"class":224},[222,1006,304],{"style":258},[222,1008,308],{"style":307},[222,1010,311],{"style":262},[222,1012,314],{"style":307},[222,1014,1015,1017,1019],{"class":224},[222,1016,319],{"style":258},[222,1018,308],{"style":307},[222,1020,548],{"style":235},[222,1022,1023,1026,1028,1031],{"class":224},[222,1024,1025],{"style":258},"    \"key\"",[222,1027,308],{"style":307},[222,1029,1030],{"style":231}," \"pyas_sk_live_example\"",[222,1032,314],{"style":307},[222,1034,1035,1038,1040],{"class":224},[222,1036,1037],{"style":258},"    \"newKey\"",[222,1039,308],{"style":307},[222,1041,548],{"style":235},[222,1043,1044,1047,1049,1052],{"class":224},[222,1045,1046],{"style":258},"      \"keyId\"",[222,1048,308],{"style":307},[222,1050,1051],{"style":231}," \"2f660cba-c95f-4314-9466-b494c83efdae\"",[222,1053,314],{"style":307},[222,1055,1056,1059,1061,1063],{"class":224},[222,1057,1058],{"style":258},"      \"name\"",[222,1060,308],{"style":307},[222,1062,570],{"style":231},[222,1064,314],{"style":307},[222,1066,1067,1070,1072,1074],{"class":224},[222,1068,1069],{"style":258},"      \"mode\"",[222,1071,308],{"style":307},[222,1073,582],{"style":231},[222,1075,314],{"style":307},[222,1077,1078,1081,1083],{"class":224},[222,1079,1080],{"style":258},"      \"scopes\"",[222,1082,308],{"style":307},[222,1084,594],{"style":235},[222,1086,1087,1090],{"class":224},[222,1088,1089],{"style":231},"        \"read\"",[222,1091,314],{"style":307},[222,1093,1094],{"class":224},[222,1095,1096],{"style":231},"        \"write\"",[222,1098,1099,1102],{"class":224},[222,1100,1101],{"style":235},"      ]",[222,1103,314],{"style":307},[222,1105,1106,1109,1111,1113],{"class":224},[222,1107,1108],{"style":258},"      \"status\"",[222,1110,308],{"style":307},[222,1112,623],{"style":231},[222,1114,314],{"style":307},[222,1116,1117,1120,1122,1125],{"class":224},[222,1118,1119],{"style":258},"      \"last4\"",[222,1121,308],{"style":307},[222,1123,1124],{"style":231}," \"NzNh\"",[222,1126,314],{"style":307},[222,1128,1129,1132,1134,1136],{"class":224},[222,1130,1131],{"style":258},"      \"expiresAt\"",[222,1133,308],{"style":307},[222,1135,336],{"style":262},[222,1137,314],{"style":307},[222,1139,1140,1143,1145,1147],{"class":224},[222,1141,1142],{"style":258},"      \"graceEndsAt\"",[222,1144,308],{"style":307},[222,1146,336],{"style":262},[222,1148,314],{"style":307},[222,1150,1151,1154,1156,1158],{"class":224},[222,1152,1153],{"style":258},"      \"rotatedFrom\"",[222,1155,308],{"style":307},[222,1157,558],{"style":231},[222,1159,314],{"style":307},[222,1161,1162,1165,1167,1169],{"class":224},[222,1163,1164],{"style":258},"      \"rotatedTo\"",[222,1166,308],{"style":307},[222,1168,336],{"style":262},[222,1170,314],{"style":307},[222,1172,1173,1176,1178,1181],{"class":224},[222,1174,1175],{"style":258},"      \"createdAt\"",[222,1177,308],{"style":307},[222,1179,1180],{"style":231}," \"2026-11-14T20:00:32Z\"",[222,1182,314],{"style":307},[222,1184,1185,1188,1190],{"class":224},[222,1186,1187],{"style":258},"      \"seenInBrowser\"",[222,1189,308],{"style":307},[222,1191,336],{"style":262},[222,1193,1194,1197],{"class":224},[222,1195,1196],{"style":235},"    }",[222,1198,314],{"style":307},[222,1200,1201,1204,1206],{"class":224},[222,1202,1203],{"style":258},"    \"previousKey\"",[222,1205,308],{"style":307},[222,1207,548],{"style":235},[222,1209,1210,1212,1214,1216],{"class":224},[222,1211,1046],{"style":258},[222,1213,308],{"style":307},[222,1215,558],{"style":231},[222,1217,314],{"style":307},[222,1219,1220,1222,1224,1226],{"class":224},[222,1221,1058],{"style":258},[222,1223,308],{"style":307},[222,1225,570],{"style":231},[222,1227,314],{"style":307},[222,1229,1230,1232,1234,1236],{"class":224},[222,1231,1069],{"style":258},[222,1233,308],{"style":307},[222,1235,582],{"style":231},[222,1237,314],{"style":307},[222,1239,1240,1242,1244],{"class":224},[222,1241,1080],{"style":258},[222,1243,308],{"style":307},[222,1245,594],{"style":235},[222,1247,1248,1250],{"class":224},[222,1249,1089],{"style":231},[222,1251,314],{"style":307},[222,1253,1254],{"class":224},[222,1255,1096],{"style":231},[222,1257,1258,1260],{"class":224},[222,1259,1101],{"style":235},[222,1261,314],{"style":307},[222,1263,1264,1266,1268,1271],{"class":224},[222,1265,1108],{"style":258},[222,1267,308],{"style":307},[222,1269,1270],{"style":231}," \"rotating\"",[222,1272,314],{"style":307},[222,1274,1275,1277,1279,1281],{"class":224},[222,1276,1119],{"style":258},[222,1278,308],{"style":307},[222,1280,336],{"style":262},[222,1282,314],{"style":307},[222,1284,1285,1287,1289,1292],{"class":224},[222,1286,1131],{"style":258},[222,1288,308],{"style":307},[222,1290,1291],{"style":231}," \"2026-11-15T20:00:32Z\"",[222,1293,314],{"style":307},[222,1295,1296,1298,1300,1302],{"class":224},[222,1297,1142],{"style":258},[222,1299,308],{"style":307},[222,1301,1291],{"style":231},[222,1303,314],{"style":307},[222,1305,1306,1308,1310,1312],{"class":224},[222,1307,1153],{"style":258},[222,1309,308],{"style":307},[222,1311,336],{"style":262},[222,1313,314],{"style":307},[222,1315,1316,1318,1320,1322],{"class":224},[222,1317,1164],{"style":258},[222,1319,308],{"style":307},[222,1321,1051],{"style":231},[222,1323,314],{"style":307},[222,1325,1326,1328,1330,1332],{"class":224},[222,1327,1175],{"style":258},[222,1329,308],{"style":307},[222,1331,690],{"style":231},[222,1333,314],{"style":307},[222,1335,1336,1338,1340],{"class":224},[222,1337,1187],{"style":258},[222,1339,308],{"style":307},[222,1341,336],{"style":262},[222,1343,1344],{"class":224},[222,1345,1196],{"style":235},[222,1347,1348,1350],{"class":224},[222,1349,706],{"style":235},[222,1351,314],{"style":307},[222,1353,1354,1356,1358,1360],{"class":224},[222,1355,331],{"style":258},[222,1357,308],{"style":307},[222,1359,336],{"style":262},[222,1361,314],{"style":307},[222,1363,1364,1366,1368,1370],{"class":224},[222,1365,343],{"style":258},[222,1367,308],{"style":307},[222,1369,348],{"style":231},[222,1371,314],{"style":307},[222,1373,1374,1376,1378],{"class":224},[222,1375,355],{"style":258},[222,1377,308],{"style":307},[222,1379,360],{"style":235},[222,1381,1382],{"class":224},[222,1383,365],{"style":235},[1385,1386,88],"style",{},1794697269851]